* {
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    -webkit-touch-callout: none;
    
    touch-action: manipulation;
    
    -webkit-tap-highlight-color: transparent;
}

::selection {
    background-color: #ffffff;
    color: #000000;
}

html,
body {
    width: 100%;
    min-height: 100%;
    margin: 0;
    padding: 0;
}

input,
textarea {
    -webkit-user-select: text;
    user-select: text;
}


::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}
::-webkit-scrollbar-track {
    background: transparent;
}
::-webkit-scrollbar-thumb {
    background-color: transparent;
    border-radius: 10px;
    transition: background-color 0.3s ease;
}

body.is-scrolling ::-webkit-scrollbar-thumb,
::-webkit-scrollbar-thumb:hover {
    background-color: #2c2c2e;
}

::-webkit-scrollbar-corner {
    background: transparent;
}

